Create a consent acceptance
POST
/v1/me/collection-tasks/{taskId}/consent-acceptancescurl -X POST 'https://api.embodiflow.io/v1/me/collection-tasks/{taskId}/consent-acceptances' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"consentId": "00000000-0000-0000-0000-000000000000"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- taskIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- consentIdstring (uuid)必填
响应
Success
- dataobject必填
- consentAcceptanceIdstring必填
- consentIdstring必填
- versionnumber必填
- acceptedAtstring必填
响应示例
{
"data": {
"consentAcceptanceId": "string",
"consentId": "string",
"version": 0,
"acceptedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1